/* SYSTEM USER */
/* 0 */
CREATE USER GRIESMAYER PROFILE "DEFAULT" IDENTIFIED BY "oracle"
DEFAULT TABLESPACE USERS
TEMPORARY TABLESPACE TEMP
ACCOUNT UNLOCK;

GRANT SELECT ANY DICTIONARY TO GRIESMAYER;
GRANT UNLIMITED TABLESPACE TO GRIESMAYER;
GRANT CONNECT TO GRIESMAYER;
GRANT RESOURCE TO GRIESMAYER;

/* GRIESMAYER */
/* 1 */
echo $ORACLE_SID

SELECT sys_context('userenv','instance_name') as INSTANCE_NAME
FROM   dual;

CREATE TABLE GRIESMAYER_CUSTOMER
(
  CUSTOMER_ID INTEGER PRIMARY KEY,
  BALANCE     DECIMAL(10,2)
);

INSERT INTO GRIESMAYER_CUSTOMER VALUES(1, 100);
INSERT INTO GRIESMAYER_CUSTOMER VALUES(2, 150);
INSERT INTO GRIESMAYER_CUSTOMER VALUES(3, 300);
INSERT INTO GRIESMAYER_CUSTOMER VALUES(4, 400);
COMMIT;

UPDATE GRIESMAYER_CUSTOMER
SET    BALANCE = 200
WHERE  CUSTOMER_ID = 2;

SELECT XID
FROM   V$TRANSACTION;

/* SYSTEM USER */
/* 2 */
sqlplus sys/oracle as sysdba

SELECT STARTUP_TIME
FROM   V$INSTANCE;

SHUTDOWN TRANSACTIONAL;

SELECT STARTUP_TIME
FROM   V$INSTANCE;

/* GRIESMAYER */
/* 3 */
COMMIT;

UPDATE GRIESMAYER_CUSTOMER
SET    BALANCE = 200
WHERE  CUSTOMER_ID = 1;

/* SYSTEM USER */
/* 4 */
sqlplus sys/oracle as sysdba

STARTUP;

SELECT STARTUP_TIME
FROM   V$INSTANCE;
